<?php

if($_COOKIE["nivel"]!="Vendedor"){
	header("location: remesa2.php?n=".$_GET["n"]);
}
  include_once '../header.php';      
  include_once("../php/config.php");
      $sql = mysql_query("select * from tasas  where moneda='GOURDE'") or die(mysql_error());
	  
	  $tasa_remesa = @mysql_result($sql,0,"venta");
	  $tasa_compra = @mysql_result($sql,0,"compra");
	  $tasa_venta = @mysql_result($sql,0,"venta");
   


   $sql4 = mysql_query("select stock from productos where descripcion='".$_GET["n"]."'") or die(mysql_error());
   $balance = @mysql_result($sql4, 0, "stock");
?>

<div class="container" style="background:white; padding:15px">
<center>
<span style="font-size: 25px; font-weight:bolder" class="text-rojo">REMESA</span>

<style>
 .nav, navbar{
	 
	 display:none;
 }


</style>

<hr>

<div class="row">

	<input type="hidden" id="balance_anterior" value="<?= $balance?>">

         <div class="col-xs-2"><b>AGENTE</b></div>
         <div class="col-xs-6">
           <select class="form-control" id="cliente"  onChange="get_cliente(this.value)">

				<option value="" selected></option>
				<?php $sql3 = mysql_query("select * from clientes") or die(mysql_error());  ?>

				<?php while ($r3 = mysql_fetch_array($sql3)) { ?>
				  <option value="<?php echo $r3['nombre'] ?>"><?php echo $r3['nombre']." ".$r3["telefono"]."(".$r3["direccion"].")" ?></option>
				<?php } ?>
				</select>
				</div>
				<div class="col-xs-3"><a href="" onClick='limpiar()'><i class="bi bi-file"></i> Limpiar</a></div>
         <script>
          $(function(){
           /////alert(myUser);
           $('#cliente').select2();
          })
        </script>
        
  </div>
  <hr>

<div style="">
<img src="<?php echo $_GET['n'].'.PNG'?>" style="">
</div>

<hr>




<div class="row">

<div class="col-xs-2 mt-2">
<b>TEELFONO</b>
</div>

<div class="col-xs-9">
<input class="form-control" style="font-size:21px; color:blue; font-weight:bolder" type="number" id="telefono" onBlur="valida(this.value)">
</div>
</div>
<script>
 function valida(v){
	var n = "<?php echo $_GET['n']?>";
  if(v.length<11){
	alert("Favor verificar el numero de telefono, al parecer faltan digitos");
	$(".btna").hide()
  }else{
	var posicion1 = v.substr(0,3);
	if(posicion1!="509"){
		alert("El formato del numero de telefono digitado esta incorrecto, debe incluir 509 antes");
		$(".btna").hide()
	}else{
		var posicion2 = v.substr(3,2);
		if(n=="moncash"){
			if(posicion2=="31" || posicion2=="34" || posicion2=="36" || posicion2=="37" || posicion2=="38" || posicion2=="39" || posicion2=="44" || posicion2=="45" || posicion2=="46" || posicion2=="47" || posicion2=="48" || posicion2=="49"){
				$(".btna").show();
			}else{
				$(".btna").hide();
				alert("EL NUMERO DE TELEFONO DIGITADO NO ES DE MONCASH")
			}
		}

		if(n=="natcash"){
			if(posicion2=="32" || posicion2=="33" || posicion2=="35" || posicion2=="41" || posicion2=="42" || posicion2=="43" || posicion2=="55"){
				$(".btna").show();
			}else{
				$(".btna").hide();
				alert("EL NUMERO DE TELEFONO DIGITADO NO ES DE NATCASH")
			}
		}
	}
  }


 }
</script>


<div class="row mt-2">

<div class="col-xs-2 mt-2">
<b>MONTO</b>
</div>

<div class="col-xs-3">
<input class="form-control" style="font-size:21px; color:blue; font-weight:bolder" type="number" id="monto" onkeyUp="calc_comision()">
</div>
<div class="col-xs-2 mt-2">
<b>COMISION</b>
</div>

<div class="col-xs-3">
<input  class="form-control" style="font-size:21px; color:blue; font-weight:bolder" type="number" id="comision">
</div>

</div>

<center>
<span style="color:green; font-size:45px; font-weight:bolder;">TOTAL: <span id="total">0.00</span></span>
</center>

<hr>
<b>TOTAL A RECIBIR GOURDE</b><br>
<input style="font-size:21px; color:blue; font-weight:bolder" type="number" id="recibir" readonly>
<br><br>
<hr>
<a href='#' id="btn_aceptar" onClick="confirmar()" class="btn btn-orange btna" ><i class="bi bi-check-circle" id="btnConfirmar"></i><b> ACEPTAR</b></a>



<b><a href='main.php' class="btn btn-rojo" ><i class="bi bi-chevron-double-left"></i><b> VOLVER ATRAS</b></a>
<hr> 
<a href="#" onClick="ultimas_recargas()"> Ver ultimas remesas</a> | <a href="#" onClick="get_ultimo()"> Reimprimir</a></b>

</center>.


<!---Modal conformar-->
<div class="modal" id="modalConfirmar" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> CONFIRME NUMERO DE TELEFONO</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-md-4">
           

          </div>

          <div class="col-md-12">
               <input style="font-size:21px; color:blue; font-weight:bolder" class="form-control mb-2 bolder" placeholder="Confirme el numero" type="number" id="numero2">
       
          </div>



        </div>

      </div>
      <div class="modal-footer">
        <a class="btn btn-verde" data-dismiss="modal" onclick="grabar()" id="btngrabar"> <i class="bi bi-check-circle"></i> Confirmar</a>
		<a class="btn btn-default" data-dismiss="modal"> <i class="bi bi-chevron-double-left"></i> Cancelar</a>
      </div>
    </div>
  </div>
</div>


<div id="recibo1" style="display:none">

</div>
</div>

<script>
$(function(){
	$('#cliente').val(myUser).trigger('change.select2');
	$('#cliente').prop("disabled", true);
});


function calc_comision(){
var p_comision = 10;
var tasa_remesa = "<?php echo $tasa_remesa?>";
var monto = $("#monto").val();	
var comision = monto * p_comision/100;
var total = parseFloat(monto) + parseFloat(comision);

var recibir = monto * tasa_remesa

$("#recibir").val(recibir.toFixed(2)); 
$("#comision").val(comision.toFixed(2)); 
$("#total").html(total.toFixed(2)); 
}



function balanceAcliente(id){
				
   	var tasa_compra	= "<?php echo$tasa_compra?>";
	var tasa_venta	= "<?php echo$tasa_venta?>";
	var dif_tasa = tasa_compra - tasa_venta;
	
	
	
	
    var cliente = $("#cliente").val();
	var monto = $("#monto").val();
	var compania = "<?php echo $_GET['n']?>"
    
	var ganancia = monto * dif_tasa;
	
	if(comision_cliente<=0){
		comision_cliente = 5;
	}
	
	var beneficio_cliente = monto * comision_cliente / 100
    var montoGourde = $("#recibir").val()


	var comision = $("#comision").val()
	var comision0 = $("#comision").val()
	comision = comision  - beneficio_cliente
	 
	 var beneficio = parseFloat(ganancia) + parseFloat(comision);

	
	if(monto<=0 || monto==""){
		alert("Monto incorrecto");
		return;
	}
	
	monto = parseFloat(monto) + parseFloat(comision0)
	
	var param = "cliente="+cliente;
	    param+="&monto="+monto;
		param+="&desde='Dispositivo movil'";
		param+="&tasa_compra='"+tata_compra+"'";
		param+="&tasa_compra='"+tata_venta+"'";

		param+="&moneda='"+moneda+"'";
		param+="&comision="+comision0;
		param+="&compania="+compania;
		param+="&montoGourde="+montoGourde;
		param+="&ganancia_cliente="+beneficio_cliente;
		param+="&id="+id;
		param+="&tipo='Recarga'";
		
		
	 $.get("balanceAcliente.php?"+param, function(data, st){
		 if(st=="success"){
			
			
				 movimiento_producto(id);
				
			
				////
			
		 }
	 })
}



function movimiento_producto(id){

	  var tasa_compra	= "<?php echo$tasa_compra?>";
	var tasa_venta	= "<?php echo$tasa_venta?>";
    var producto = "<?php echo $_GET['n']?>";

    var costo = $("#monto").val()
   
     total  = $("#recibir").val()
    var cliente = $("#cliente").val()
    var balance_anterior = $("#balance_anterior").val()
    if(balance_anterior==""){balance_anterior = 0;}

    var balance_actual = parseFloat(balance_anterior) - parseFloat(total);

    
      if(costo==""){costo = 0;}
     if(total==""){total = 0;}
     

    var sql="";
    sql="insert into movimiento_producto set fecha=CURDATE(), hora=CURTIME(), balance_anterior='"+ balance_anterior +"', debito='"+ total +"', credito=0, operacion='Remesa', cliente='"+ cliente +"', usuario='"+ myUser+"', balance_actual='"+balance_actual+"', pesos='"+ costo +"', producto='"+producto+"'";


    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       imprimir(id)
      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
}



function confirmar(){
	
	var monto = $("#monto").val()
	
	if(monto==""){monto=0;}
	if(monto<=0){alert("Monto invalido");return;}
	
	grabar();
	
	
}

  function grabar(){
	 

  var cliente = $("#cliente").val()

	 if(cliente==""){
		alert("Elija un agente");
		return;
	}
  if(!confirm("Seguro(a) que desea registrar esta recarga?")){return;}
  $("#btn_aceptar").hide()
   


     
     var monto = $("#monto").val();
    var tipo = "<?php echo $_GET['n']?>";

	$("#btngrabar").hide()
	$("#btnConfirmar").hide()

    var tasa_compra	= "<?php echo$tasa_compra?>";
	var tasa_venta	= "<?php echo$tasa_venta?>";
	var dif_tasa = tasa_compra - tasa_venta;
   
	
	var compania = "<?php echo $_GET['n']?>"
	var ganancia = monto * dif_tasa;
    var telefono = $("#telefono").val()
	var comision = $("#comision").val()
	var recibir = $("#recibir").val()
	if(comision_cliente<=0){
		comision_cliente = 5;
	}
	
	var beneficio_cliente = monto * comision_cliente / 100
    var montoGourde = $("#recibir").val()


	var comision = $("#comision").val()
	var comision0 = $("#comision").val()
	comision = comision  - beneficio_cliente
	
	 
	
	
	

    var sql="";
       
            sql="INSERT INTO recargas set ";
            sql+=" fecha=CURDATE()";
            sql+=", hora=CURTIME()";
            sql+=", telefono='"+ telefono +"'";
			sql+=", monto='"+monto+"'";
			sql+=", compania='"+tipo+"'";
			sql+=", tipo='remesa'";
			sql+=", beneficio='"+ganancia+"'";
			sql+=", comision_remesa='"+comision+"'";
			sql+=", usuario='"+myUser+"'";
			
			sql+=", estado=''";
			sql+=", vendedor='"+cliente+"'";
			sql+=", recibe='"+recibir+"'";
			///sql+=", actualizacion='Remesa realizada y validada por '";
			
		

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
		  
	          
               get_ultimo();
			   

      }else{
          alert(data);
		  $("#btn_aceptar").show()

      }

    })
}



var comision_cliente = 0;
function get_cliente(c){
	  var sql="select * from clientes where nombre='"+ c +"'";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
                for( var i in rs.data){         
                    var id = rs.data[i].id;
			       comision_cliente = rs.data[i].comision;
				  

                  }
            })
}





function get_ultimo(){
	  var sql="select * from recargas where usuario='"+ myUser +"' order by id desc limit 1";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
                for( var i in rs.data){         
                    var id = rs.data[i].id;
					 balanceAcliente(id);
					  
			  

                  }
            })
}



function limpiar(){
				$("input[type='number']").val("") 
			 $('#cliente').val("").trigger('change.select2');
}



function imprimir(id){
		$.get("recibo.php?id="+id,function(data,st){
		if(st=="success"){
		
			$("#recibo1").html(data);
			window.location='printerplus://send?text='+document.getElementById('recibo').innerHTML;
			 $("input[type='number']").val("") 
			 ////$('#cliente').val("").trigger('change.select2');
			  $("#btn_aceptar").show()
			   ////$("#modalcobrador").modal('hide');
        noti("success","Producto actualizado","Registro grabado");
        window.location.reload();
  
			///alert("pago registrado RD$: "+total);
			//////window.location.reload(true);
			
	$("#btngrabar").show()
	$("#btnConfirmar").show()

		}
	})
}



</script>
